---
sidebar_label: JSCoverage.(constructor)
---

# JSCoverage.(constructor)

Constructs a new instance of the `JSCoverage` class

**Signature:**

```typescript
class JSCoverage {
  constructor(client: CDPSession);
}
```

## Parameters

| Parameter | Type                                    | Description |
| --------- | --------------------------------------- | ----------- |
| client    | [CDPSession](./puppeteer.cdpsession.md) |             |
